curl --request GET \
--url https://api.snappy.com/public-api/v2/gifts \
--header 'X-Api-Key: <api-key>'{
"results": [
{
"id": "<string>",
"companyId": "12345678",
"campaignId": "<string>",
"status": "<string>",
"budgetPlan": 123,
"tyn": "<string>",
"estimatedCost": {
"budget": 100,
"estimatedFee": 2,
"estimatedTax": 7,
"estimatedTotalCost": 109
},
"expirationDate": "2022-12-06T09:50:38.536Z",
"createdAt": "<string>",
"link": "<string>",
"success": true,
"deliveryDetails": {
"carrier": "<string>",
"trackingNumber": "<string>",
"status": "orderReceived",
"trackingLink": "<string>",
"deliveredAt": "2022-12-06T09:50:38.536Z",
"outForDelivery": "2022-12-06T09:50:38.536Z",
"outForDeliveryDate": "2022-12-06T09:50:38.536Z"
},
"finalCost": {
"cost": 100,
"finalFee": 2,
"finalTax": 7,
"totalFinalCost": 109
},
"recipient": {
"firstname": "John",
"lastname": "Doe",
"externalId": "1234567890",
"phone": "+1234567890",
"email": "example@domain.com",
"key": "abc123"
},
"orders": [
{
"id": "<string>",
"status": "active",
"orderedProducts": [
{
"selectedProduct": {
"variantId": "<string>",
"orderStatus": "processing",
"title": "<string>",
"type": "physicalGift"
},
"deliveryDetails": {
"status": "orderReceived",
"carrier": "<string>",
"trackingNumber": "<string>",
"trackingLink": "<string>",
"deliveryDates": {
"outForDelivery": "2023-11-07T05:31:56Z",
"estimated": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z"
}
}
}
],
"orderRecipient": {
"firstName": "John",
"lastName": "Doe",
"country": "US"
}
}
],
"customization": {
"giftProperties": {
"budget": {
"max": 100,
"min": 76
}
},
"recipientNotifications": {
"sendingChannels": [
"mail",
"sms"
],
"disableReminders": false
},
"recipientExperience": {
"type": "enterAddress",
"visualElements": {
"reveal": {
"type": "snowGlobe",
"primaryColor": "#000000",
"secondaryColor": "#000000"
},
"greeting": {
"content": {
"ops": [
{
"insert": "Happy Birthday!"
}
]
},
"banner": {
"text": "Happy Birthday!",
"color": "#000000",
"mediaItems": {
"background": [
{
"type": "image",
"url": "https://example.com/image.jpg"
}
]
}
}
},
"postClaim": {
"redirectAfterClaim": "https://example.com/redirect"
}
}
}
}
}
],
"skip": 123,
"limit": 123,
"message": "<string>"
}Use this API to search for and retrieve a list of gifts based on your specified criteria.
Filtering options:
gifts:read:masked or gifts:read:unmaskedcurl --request GET \
--url https://api.snappy.com/public-api/v2/gifts \
--header 'X-Api-Key: <api-key>'{
"results": [
{
"id": "<string>",
"companyId": "12345678",
"campaignId": "<string>",
"status": "<string>",
"budgetPlan": 123,
"tyn": "<string>",
"estimatedCost": {
"budget": 100,
"estimatedFee": 2,
"estimatedTax": 7,
"estimatedTotalCost": 109
},
"expirationDate": "2022-12-06T09:50:38.536Z",
"createdAt": "<string>",
"link": "<string>",
"success": true,
"deliveryDetails": {
"carrier": "<string>",
"trackingNumber": "<string>",
"status": "orderReceived",
"trackingLink": "<string>",
"deliveredAt": "2022-12-06T09:50:38.536Z",
"outForDelivery": "2022-12-06T09:50:38.536Z",
"outForDeliveryDate": "2022-12-06T09:50:38.536Z"
},
"finalCost": {
"cost": 100,
"finalFee": 2,
"finalTax": 7,
"totalFinalCost": 109
},
"recipient": {
"firstname": "John",
"lastname": "Doe",
"externalId": "1234567890",
"phone": "+1234567890",
"email": "example@domain.com",
"key": "abc123"
},
"orders": [
{
"id": "<string>",
"status": "active",
"orderedProducts": [
{
"selectedProduct": {
"variantId": "<string>",
"orderStatus": "processing",
"title": "<string>",
"type": "physicalGift"
},
"deliveryDetails": {
"status": "orderReceived",
"carrier": "<string>",
"trackingNumber": "<string>",
"trackingLink": "<string>",
"deliveryDates": {
"outForDelivery": "2023-11-07T05:31:56Z",
"estimated": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z"
}
}
}
],
"orderRecipient": {
"firstName": "John",
"lastName": "Doe",
"country": "US"
}
}
],
"customization": {
"giftProperties": {
"budget": {
"max": 100,
"min": 76
}
},
"recipientNotifications": {
"sendingChannels": [
"mail",
"sms"
],
"disableReminders": false
},
"recipientExperience": {
"type": "enterAddress",
"visualElements": {
"reveal": {
"type": "snowGlobe",
"primaryColor": "#000000",
"secondaryColor": "#000000"
},
"greeting": {
"content": {
"ops": [
{
"insert": "Happy Birthday!"
}
]
},
"banner": {
"text": "Happy Birthday!",
"color": "#000000",
"mediaItems": {
"background": [
{
"type": "image",
"url": "https://example.com/image.jpg"
}
]
}
}
},
"postClaim": {
"redirectAfterClaim": "https://example.com/redirect"
}
}
}
}
}
],
"skip": 123,
"limit": 123,
"message": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.snappy.com/llms.txt
Use this file to discover all available pages before exploring further.
Company level authentication provides access to all resources under your company, including accounts, campaigns, gifts, and recipients.
POST /v2/authentication/apiKeys endpoint to generate a new API keyInclude your API key in the X-Api-Key header for every request:
X-Api-Key: YOUR_24_CHARACTER_API_KEYFor production environments, enable mutual TLS authentication:
enforceMtls: true when creating the API keyhttps://mtls-api.snappy.com/public-apiSource of the request
api_native, api_zapier, api_salesforce, api_ftp, api_make "api_native"
Company ID
^[A-Za-z0-9]{8,}$"12345678"
Number of records to skip for pagination (use with limit for paging through results)
x >= 00
Maximum number of records to return per page
1 <= x <= 10010
The fields that can be returned for the gift. format: comma-separated without whitespace in between. valid values are: id, status, budgetPlan, sendingChannels, tyn, expirationDate, createdAt, link, campaignId, metadata, full.
1The fields that can be returned for the gift. valid values are: id, status, budgetPlan, sendingChannels, tyn, expirationDate, createdAt, link, campaignId, metadata, full.
id, status, budgetPlan, sendingChannels, tyn, expirationDate, createdAt, link, full, experienceId, campaignId, metadata comma-separated list of campaign ids
18^[A-Za-z0-9]{8,}$["abcd1234", "abcd6789"]comma-separated list of gift keys
1["key1", "key2"]The statuses of gifts that can be returned. comma-separated format without whitespace in between. valid values are: unopened, opened, unwrapped, claimed, expired.
1The statuses of gifts that can be returned. valid values are: unopened, opened, unwrapped, claimed, expired.
unopened, opened, unwrapped, claimed, expired The sending channels of the gift. default value is 'link'. valid values are: mail, sms, link, code, slack, teams.
1The sending channels of the gift.
mail, sms, link, code, slack, teams External recipient id
"1234efgh"
Experience id
"1234wxyz"
Created before date, format: YYYY-MM-DD. results will NOT include the date that was passed.
^[0-9]{4}-[0-9]{2}-[0-9]{2}$"2022-12-06T00:00:00.000Z"
Created after date, format: YYYY-MM-DD results will NOT include the date that was passed.
^[0-9]{4}-[0-9]{2}-[0-9]{2}$"2022-12-06T00:00:00.000Z"
DEPRECATED, DO NOT USE
^[A-Za-z0-9]+$"ab123456"
DEPRECATED, DO NOT USE
"sender_email"
Invoice id
"12abcd89"
The fields that can be returned for the gift. comma-separated format without whitespace in between. valid values are: finalCost, deliveryDetails, estimatedCost, recipient, customization, orders.
1Fields that can be returned for the gift
finalCost, deliveryDetails, estimatedCost, recipient, orders, customization Was this page helpful?